#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5


PYTHON=/usr/bin/python2.3

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	python setup.py install --prefix=$(CURDIR)/debian/larpe/usr --no-compile
	mv $(CURDIR)/debian/larpe/usr/bin/* $(CURDIR)/debian/larpe/usr/sbin/
	rmdir $(CURDIR)/debian/larpe/usr/bin
	cd po && make install prefix=$(CURDIR)/debian/larpe/
	dh_install apache2-vhost-larpe etc/apache2/sites-available
	dh_install apache2.conf usr/share/larpe/
	chmod -R 700 $(CURDIR)/debian/larpe/usr/sbin/larpe-reload-apache2
	chown root.www-data $(CURDIR)/debian/larpe/usr/sbin/larpe-reload-apache2
	chmod 4550 $(CURDIR)/debian/larpe/usr/sbin/larpe-reload-apache2

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installinit
	dh_installchangelogs
	dh_installdebconf
	dh_link
	dh_strip
	dh_fixperms -X /var/lib/larpe -X /usr/sbin/larpe-reload-apache2
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
